Package org.apache.wiki.tags

# Class EditorTag

java.lang.Object
javax.servlet.jsp.tagext.TagSupport
javax.servlet.jsp.tagext.BodyTagSupport
org.apache.wiki.tags.WikiBodyTag
org.apache.wiki.tags.EditorTag

All Implemented Interfaces:
  `Serializable`, `javax.servlet.jsp.tagext.BodyTag`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`, `javax.servlet.jsp.tagext.TryCatchFinally`

public class EditorTag extends WikiBodyTag
Creates an editor component with all the necessary parts to get it working.

In the future, this component should be expanded to provide a customized version of the editor according to user preferences.

Since:
  2.2
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.apache.wiki.tags.WikiBodyTag

`m_wikiContext`

### Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport

`bodyContent`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`EditorTag()`

## Method Summary

Modifier and Type
Method
Description
`int`
`doEndTag()`
`final int`
`doWikiStartTag()`
A local stub for doing tags.

### Methods inherited from class org.apache.wiki.tags.WikiBodyTag

`doCatch, doFinally, doStartTag`

### Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport

`doAfterBody, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.jsp.tagext.Tag

`getParent, setPageContext, setParent`

## Constructor Details

### EditorTag

public EditorTag()

## Method Details

### doWikiStartTag

public final int doWikiStartTag() throws IOException
Description copied from class: `WikiBodyTag`
A local stub for doing tags. This is just called after the local variables have been set.

Specified by:
  `doWikiStartTag` in class `WikiBodyTag`
Returns:
  As doStartTag()
Throws:
  `IOException`

### doEndTag

public int doEndTag() throws javax.servlet.jsp.JspException

Specified by:
  `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
Throws:
  `javax.servlet.jsp.JspException`